MibException (Mibble 2.9.4 Documentation)
Date: 2016-09-27

net.percederberg.mibble

## Class MibException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - net.percederberg.mibble.MibException

- All Implemented Interfaces:
    java.io.Serializable

      public class MibException
      extends java.lang.Exception

  A MIB exception. This exception is used to report processing errors for operations on MIB types and values.
  Since:
    2.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MibException(java.io.File file, int line, int column, java.lang.String message)` Creates a new MIB exception.
    `MibException(FileLocation location, java.lang.String message)` Creates a new MIB exception.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `FileLocation` | `getLocation()` Returns the error location.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### MibException

          public MibException(FileLocation location,
                              java.lang.String message)

      Creates a new MIB exception.
      Parameters:
        `location` - the file location
        `message` - the error message

    - #### MibException

          public MibException(java.io.File file,
                              int line,
                              int column,
                              java.lang.String message)

      Creates a new MIB exception.
      Parameters:
        `file` - the file containing the error
        `line` - the line number containing the error
        `column` - the column number containing the error
        `message` - the error message

  - ### Method Detail

    - #### getLocation

          public FileLocation getLocation()

      Returns the error location.
      Returns:
        the error location